
Infrastructure - Bug #6012

d1_libclient_java printing 'checkServerTrusted - RSA' to stderr

2014-07-30 06:12 - Robert Waltz

Status: Closed Start date: 2014-07-30

Priority: Normal Due date: 2014-12-15

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: CCI-1.5.0   

Milestone: None Story Points:  

Product Version: 1.3.1   

Description

d1_libclient_java prints 'checkServerTrusted - RSA' anytime anything is done with a certificate making any error log virtually useless

since it mostly contains trace messages instead of error messages.

Related issues:

Related to Infrastructure - Task #6510: libclient_java 1.3.1 Release Closed 2014-10-06

Associated revisions

Revision b56ed9d7 - 2014-08-28 20:57 - Rob Nahf

refs #6012: refactored all Syste.err.println statements in CertificateManager: keeping only those in catch blocks, and converting those to trace level

log statements.

Revision 14470 - 2014-08-28 20:57 - Rob Nahf

refs #6012: refactored all Syste.err.println statements in CertificateManager: keeping only those in catch blocks, and converting those to trace level

log statements.

Revision 14470 - 2014-08-28 20:57 - Rob Nahf

refs #6012: refactored all Syste.err.println statements in CertificateManager: keeping only those in catch blocks, and converting those to trace level

log statements.

Revision 4098f704 - 2014-08-28 21:06 - Rob Nahf

refs #6012 merged CertificateManager bugfix to v1.3 branch

Revision 14471 - 2014-08-28 21:06 - Rob Nahf

refs #6012 merged CertificateManager bugfix to v1.3 branch

Revision 14471 - 2014-08-28 21:06 - Rob Nahf

refs #6012 merged CertificateManager bugfix to v1.3 branch

Revision 54326d59 - 2014-08-28 22:11 - Rob Nahf

refs #6012: merge CertificateManager bug fix (polluting system err with System.err.println's) from trunk to branch 1.4

Revision 14472 - 2014-08-28 22:11 - Rob Nahf

refs #6012: merge CertificateManager bug fix (polluting system err with System.err.println's) from trunk to branch 1.4

Revision 14472 - 2014-08-28 22:11 - Rob Nahf

refs #6012: merge CertificateManager bug fix (polluting system err with System.err.println's) from trunk to branch 1.4
History

#1 - 2014-08-26 18:33 - Rob Nahf

that was done to get "logging" from an anonymous class when we were having lots of certificate issues.  The fix is removal of one line.

It can be done as a point release (libclient_java v1.3.1) that can be included in CCI-1.4 release, or wait for next major / minor release.

#2 - 2014-08-28 20:55 - Rob Nahf

- % Done changed from 0 to 50

- Status changed from New to In Progress

- Assignee changed from Robert Waltz to Rob Nahf

removed trace level statements, converted sys err statements in exception handler to log statements - needed to remove the private scope from the

logger in the enclosing CertificateManager class, so the anonymous inner TrustManager class can access it. 

Need to merge into v1.3 and v1.4 branches

#3 - 2014-09-04 03:09 - Robert Waltz

- Product Version changed from 1.4.0 to *

#4 - 2014-09-24 18:17 - Robert Waltz

- Due date changed from 2014-08-02 to 2014-09-24

- Target version changed from 2014.30-Block.4.3 to CCI-1.5.0

#5 - 2014-09-24 18:17 - Robert Waltz

- Target version changed from CCI-1.5.0 to CCI-1.4.1

#6 - 2014-09-24 18:29 - Robert Waltz

- Target version changed from CCI-1.4.1 to CCI-1.4.2

#7 - 2014-09-25 22:33 - Rob Nahf

- Due date changed from 2014-09-24 to 2014-09-25

- % Done changed from 50 to 90

- Status changed from In Progress to Testing

the fix was rolled into V1.3 and V1.4 branches 8/28/2014, but never recorded.

#8 - 2014-10-02 19:34 - Robert Waltz

- Due date changed from 2014-09-25 to 2014-10-02

- Target version changed from CCI-1.4.2 to CCI-1.4.1

#9 - 2014-10-06 22:59 - Rob Nahf

- Due date changed from 2014-10-02 to 2014-10-17

- Product Version changed from * to 1.3.1

#10 - 2014-10-07 17:38 - Robert Waltz

- Due date changed from 2014-10-17 to 2014-10-07

- Target version changed from CCI-1.4.1 to CCI-1.5.0
#11 - 2014-12-15 18:29 - Rob Nahf

- Milestone changed from CCI-1.4 to None

- % Done changed from 90 to 100

- Status changed from Testing to Closed

- Due date changed from 2014-10-07 to 2014-12-15

tested in beta and stage as part of CCI-1.5.0 release, and encountered no problems.
